<?php
include 'config.php';
// Get the values from the form submission
$searchBy = $_POST['search_by']; // Assuming the form is submitted using POST method
$dropdownSearch = $_POST['dropdown_search'];
$searchByType = $_POST['search_by_type']; // New value from additional dropdown
$distributionStartDate = $_POST['distributionStartDate']; // New value from date pickers
$distributionEndDate = $_POST['distributionEndDate']; // New value from date pickers
$receivedStartDate = $_POST['receivedStartDate']; // New value from date pickers
$receivedEndDate = $_POST['receivedEndDate']; // New value from date pickers

// Assuming $row['servicingDate'] contains the JSON string
if (isset($row['servicingDate'])) {
    // Assuming $row['servicingDate'] contains the JSON string
    $servicingDateData = json_decode($row['servicingDate'], true); // Decode the JSON string

if ($servicingDateData && isset($servicingDateData['servicingDate'])) {
    // Get the servicing date from the decoded JSON data
    $servicingDateString = $servicingDateData['servicingDate'];

    // Create a DateTime object from the servicing date string
    $servicingDate = new DateTime($servicingDateString);

    // Now you can use $servicingDate as a DateTime object
    // Example:
    echo $servicingDate->format('Y-m-d'); // Output the date in a specific format
} else {
    // Handle the case where the JSON data or servicing date is missing
    echo 'Error: Invalid servicing date data';
}
} else {
    // Handle the case where $row['servicingDate'] is not set or null
    echo 'Error: $row[\'servicingDate\'] is not set or null';
}


// Construct the URL with query parameters
$url = BASE_URL . '/distributionMagzines/search?' . urlencode($searchBy) . '=' . urlencode($dropdownSearch);
// Include additional parameters in the URL based on search by type
if ($searchByType === 'distribution') {
    $url .= '&distributionStartDate=' . urlencode($distributionStartDate) . '&distributionEndDate=' . urlencode($distributionEndDate);
} elseif ($searchByType === 'inward') {
    $url .= '&receivedStartDate=' . urlencode($receivedStartDate) . '&receivedEndDate=' . urlencode($receivedEndDate);
}
// echo $searchByType;
// echo $receivedStartDate;
// echo $receivedEndDate;
// echo $url;

// Initialize cURL session
$curl = curl_init();

// Set cURL options
curl_setopt_array($curl, array(
    CURLOPT_URL => $url, 
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
));

// Execute cURL request
$response = curl_exec($curl);

// Check for errors
if (curl_errno($curl)) {
    echo 'Error: ' . curl_error($curl);
}

// Close cURL session
curl_close($curl);

// Output response
// echo $response;
?>



<?php include 'header.php' ?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Magazine Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                        <div class="card-header d-flex align-items-center">
                            <h5 class="card-title mb-0 flex-grow-1">Master Search Report </h5>
                            <div>
                                <button id="addRow" class="btn btn-primary"><a href="distibution_magzine.php"
                                        class="nav-link" data-key="t-starter">Add Distribution Magzine</a></button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table id="buttons-datatables"
                                                class="table table-bordered table-responsive dataTable no-footer custom-table"
                                                style="width: 100%;" aria-describedby="buttons-datatables_info">
                                                <thead class="thead"
                                                    style=" overflow: scroll; width: 331px;  height:40px;">
                                                    <tr>
                                                        <th class="text-center" scope="col">Action </th>
                                                        <th class="text-center" scope="col">Sr. No</th>
                                                        <th class="text-center" scope="col">Butt No</th>
                                                        <th class="text-center" scope="col">Manufacturing No</th>
                                                        <th class="text-center" scope="col">Police Station Name</th>
                                                        <th class="text-center" scope="col">Posting</th>
                                                        <th class="text-center" scope="col">Person Name</th>
                                                        <th class="text-center" scope="col">Distribution Date</th>
                                                        <th class="text-center" scope="col">Servicing Date</th>
                                                        <th class="text-center" scope="col">No of issued days</th>
                                                        <th class="text-center" scope="col">Date Of Retirement</th>
                                                        <th class="text-center" scope="col">Mobile Number</th>
                                                        <th class="text-center" scope="col">Weapon Type</th>
                                                        <th class="text-center" scope="col">Weapon Name</th>
                                                        <th class="text-center" scope="col">Round Name</th>
                                                        <th class="text-center" scope="col">Issued Weapon</th>
                                                        <th class="text-center" scope="col">Issued Round</th>
                                                        <th class="text-center" scope="col">Weapon Location</th>
                                                        <th class="text-center" scope="col">Weapon Condition</th>
                                                        <th class="text-center" scope="col">Weapon Checked By</th>
                                                        <th class="text-center" scope="col">Distribution Type</th>
                                                        <th class="text-center" scope="col">Identity Type</th>
                                                        <th class="text-center" scope="col">Identity No</th>
                                                        <th class="text-center" scope="col">Permanant Address</th>
                                                        <th class="text-center" scope="col">Mumbai Address</th>
                                                        <th class="text-center" scope="col">Designation</th>
                                                        <th class="text-center" scope="col">Bucckle No</th>
                                                        <th class="text-center" scope="col">Birth Date</th>
                                                        <th class="text-center" scope="col">Date Of Retirement</th>
                                                        <th class="text-center" scope="col">Remark</th>
                                                        <th class="text-center" scope="col">Distribution Date</th>
                                                        <th class="text-center" scope="col">Distribution Time</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    $data = json_decode($response, true);
                                                    if (!empty($data)) {
                                                        foreach ($data as $row) {
                                                            $currentDate = time(); // Get current Unix timestamp

                                            // Convert service date and retirement date to Unix timestamps
                                            $serviceDate = strtotime($row['servicingDate']);
                                            $retirementDate = strtotime($row['dateOfRetirement']);
                                            
                                            // Check if the service date or retirement date has crossed the current date
                                            if ($serviceDate < $currentDate && $retirementDate < $currentDate) {
                                                $rowColor = 'red'; // Change the row color to red
                                            } else if ($serviceDate < $currentDate) {
                                                $rowColor = 'yellow'; // No color change
                                            } else if ($retirementDate < $currentDate) {
                                                $rowColor = 'red'; // No color change
                                            } else {
                                                $rowColor = ''; // No color change
                                            }


                                                            ?>

                                                            <tr style="background-color:<?php echo $rowColor; ?>">
                                                                <td class='text-center'>
                                                                    <a href="view_particular_distribution_magzine.php?id_no=<?php echo $row['id']; ?>"
                                                                        class='btn btn-success '>View</a>
                                                                </td>
                                                                <td class='text-center'>MD/2024/<?php echo $row['id'] ?></td>
                                                                <td class='text-center'><?php echo $row['buttNo'] ?></td>
                                                                <td class='text-center'><?php echo $row['manufacturingNo'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['policeStationName'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['posting'] ?></td>
                                                                <td class='text-center'><?php echo $row['individualName'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['distributionDate'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['servicingDate'] ?>
                                                                </td>
                                                                <?php
                                                                $distributionDateString = $row['distributionDate']; // Example distribution date
                                                                $distributionDate = strtotime($distributionDateString); // Convert to Unix timestamp
                                                                
                                                                // Current date
                                                                $currentDate = time(); // Get current Unix timestamp
                                                                
                                                                // Calculate the difference in seconds
                                                                $difference = $currentDate - $distributionDate;
                                                                
                                                                // Convert the difference to days
                                                                $daysDifference = floor($difference / (60 * 60 * 24)); // Divide by seconds in a day
                                                                
                                                                // Output the difference in days
                                                                 $daysDifference;
                                                                ?>
                                                                <td class='text-center'><?php echo $daysDifference ?></td>
                                                                <td class='text-center'><?php echo $row['dateOfRetirement'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['mobileNumber'] ?></td>
                                                                <td class='text-center'><?php echo $row['weaponType'] ?></td>
                                                                <td class='text-center'><?php echo $row['weaponName'] ?></td>
                                                                <td class='text-center'><?php echo $row['roundName'] ?></td>
                                                                <td class='text-center'><?php echo $row['totalWeapon'] ?></td>
                                                                <td class='text-center'><?php echo $row['depositeRound'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['weaponLocation'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['weaponCondition'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['weaponCheckedBy'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['distributionType'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['identityType'] ?></td>
                                                                <td class='text-center'><?php echo $row['identityNo'] ?></td>
                                                                <td class='text-center'><?php echo $row['permanentAddress'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['temporaryAddress'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['designation'] ?></td>
                                                                <td class='text-center'><?php echo $row['bucckleNo'] ?></td>
                                                                <td class='text-center'><?php echo $row['birthDate'] ?></td>
                                                                <td class='text-center'><?php echo $row['dateOfRetirement'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['issueRemark'] ?></td>

                                                                <td class='text-center'><?php echo $row['distributionDate'] ?>
                                                                </td>
                                                                <td class='text-center'><?php echo $row['distributionTime'] ?>
                                                                </td>

                                                            </tr>
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <tr>
                                                            <td colspan='6'>Data Not Available</td>
                                                        </tr>
                                                    <?php }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->


</body>


<script src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<?php include "footer.php"; ?>